MemberConfig (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.management.configuration

## Class MemberConfig

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheElement
  - - org.apache.geode.management.configuration.MemberConfig

- All Implemented Interfaces:
    Serializable, Identifiable<String>, CorrespondWith<MemberInformation>, JsonSerializable, RestfulEndpoint

      @Experimental
      public class MemberConfig
      extends CacheElement
      implements RestfulEndpoint, CorrespondWith<MemberInformation>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MEMBER_CONFIG_ENDPOINT`

    - ### Fields inherited from class org.apache.geode.cache.configuration.CacheElement

      `CLUSTER, groups`

    - ### Fields inherited from interface org.apache.geode.management.api.RestfulEndpoint

      `URI_CONTEXT, URI_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEndpoint()` this returns the URI that display the list of entries.
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `void` | `setId(String id)`

    - ### Methods inherited from class org.apache.geode.cache.configuration.CacheElement

      `addGroup, exists, findElement, getConfigGroup, getGroup, getGroups, removeElement, setGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.management.api.RestfulEndpoint

      `getIdentityEndPoint, getUri`

    - ### Methods inherited from interface org.apache.geode.management.api.CorrespondWith

      `getRuntimeClass, hasRuntimeInfo, isGlobalRuntime`

- - ### Field Detail

    - #### MEMBER_CONFIG_ENDPOINT

          public static final String MEMBER_CONFIG_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MemberConfig

          public MemberConfig()

  - ### Method Detail

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Specified by:
        `getId` in interface `Identifiable<String>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getEndpoint

          public String getEndpoint()

      Description copied from interface: `RestfulEndpoint`
      this returns the URI that display the list of entries. it should return URI the part after /experimental
      Specified by:
        `getEndpoint` in interface `RestfulEndpoint`
      Returns:
        e.g. /regions